// $Id: is_perfect.h,v 1.2 2017/03/06 04:14:06 leavens Exp leavens $
#ifndef PERFECT_H
#define PERFECT_H
#include <stdbool.h>

/* Requires: 0 < n
   Ensures: result is true just when the sum of the proper divisors of n 
   equals n. Note that a proper divisor of n is a number that evenly divides n
   and is strictly less than n.
*/
extern
bool is_perfect(int n);
#endif
