// $Id: test_fl_temp_judge.c,v 1.2 2017/03/06 04:14:06 leavens Exp leavens $
// compile with:
// gcc tap.c fl_temp_judge.c test_fl_temp_judge.c -o test_fl_temp_judge

#include <stdlib.h>
#include <stdio.h>
#include "tap.h"
extern 
char * fl_temp_judge(double temp);

// Testing for fl_temp_judge().
int main() {
    plan(19);
    is(fl_temp_judge(30.0), "cold");
    is(fl_temp_judge(54.0), "cold");
    is(fl_temp_judge(54.99), "cold");
    is(fl_temp_judge(55.0), "cool");
    is(fl_temp_judge(56.0), "cool");
    is(fl_temp_judge(60.1259), "cool");
    is(fl_temp_judge(69.999), "cool");
    is(fl_temp_judge(70.0), "warm");
    is(fl_temp_judge(70.125), "warm");
    is(fl_temp_judge(70.125), "warm");
    is(fl_temp_judge(72.0), "warm");
    is(fl_temp_judge(79.0), "warm");
    is(fl_temp_judge(84.5), "warm");
    is(fl_temp_judge(84.999), "warm");
    is(fl_temp_judge(85.0), "hot");
    is(fl_temp_judge(85.01), "hot");
    is(fl_temp_judge(95.0), "hot");
    is(fl_temp_judge(125.0), "hot");
    is(fl_temp_judge(-20.0), "cold");
    return exit_status();
}
